<!-- TeamFilingManage 团队备案管理 -->
<template>
    <div class="full-page bg">
        <el-row :gutter="10" class="main-table-container">
            <el-col
                :span="24"
                class="table-container"
                ref="contentPanel"
                style="padding: 20px"
            >
                <el-tabs v-model="activeName">
                    <el-tab-pane label="事件处置时效分析" name="事件处置时效分析">
                        <DependentAnalysis />
                    </el-tab-pane>
                    <el-tab-pane label="事件告警地点分析" name="事件告警地点分析">
                        <LocationAnalysis />
                    </el-tab-pane>
                    <el-tab-pane label="事件违规主体分析" name="事件违规主体分析">
                        <SubjectAnalysis />
                    </el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import pagination from '@/components/pagination'
import {TableMixin} from '@/mixins/tableMixin'
// import pilotprojects from '@/api/pilotprojects'
import DependentAnalysis from './components/DependentAnalysis'
import LocationAnalysis from './components/LocationAnalysis'
import SubjectAnalysis from './components/SubjectAnalysis'
import Personal from './components/Personal'
import utils from '@/utils.js'
export default {
    name: 'BlacklistManage', // 黑名单管理
    components: {
        pagination,
        DependentAnalysis,
        LocationAnalysis,
        SubjectAnalysis,
        Personal,
    },
    mixins: [TableMixin],
    data() {
        return {
            activeName: '事件处置时效分析',
        }
    },
}
</script>
<style lang="scss" scoped>
.main-table-container {
    height: 100%;
    margin: 0 !important;
}

/deep/ .el-tabs__content {
    height: 100%;

    .el-tab-pane {
        height: 100%;
    }
}

</style>